cpw.mods.fml.common.registry

## Class EntityRegistry.EntityRegistration

- java.lang.Object
- - cpw.mods.fml.common.registry.EntityRegistry.EntityRegistration

- Enclosing class:
    EntityRegistry

      public class EntityRegistry.EntityRegistration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityRegistry.EntityRegistration(ModContainer mc, Class<? extends Entity> entityClass, String entityName, int id, int trackingRange, int updateFrequency, boolean sendsVelocityUpdates)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Entity` | `doCustomSpawning(EntitySpawnPacket packet)`
    `ModContainer` | `getContainer()`
    `Class<? extends Entity>` | `getEntityClass()`
    `String` | `getEntityName()`
    `int` | `getModEntityId()`
    `int` | `getTrackingRange()`
    `int` | `getUpdateFrequency()`
    `boolean` | `hasCustomSpawning()`
    `boolean` | `sendsVelocityUpdates()`
    `void` | `setCustomSpawning(com.google.common.base.Function<EntitySpawnPacket,Entity> callable, boolean usesVanillaSpawning)`
    `boolean` | `usesVanillaSpawning()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityRegistry.EntityRegistration

          public EntityRegistry.EntityRegistration(ModContainer mc,
                                           Class<? extends Entity> entityClass,
                                           String entityName,
                                           int id,
                                           int trackingRange,
                                           int updateFrequency,
                                           boolean sendsVelocityUpdates)

  - ### Method Detail

    - #### getEntityClass

          public Class<? extends Entity> getEntityClass()

    - #### getContainer

          public ModContainer getContainer()

    - #### getEntityName

          public String getEntityName()

    - #### getModEntityId

          public int getModEntityId()

    - #### getTrackingRange

          public int getTrackingRange()

    - #### getUpdateFrequency

          public int getUpdateFrequency()

    - #### sendsVelocityUpdates

          public boolean sendsVelocityUpdates()

    - #### usesVanillaSpawning

          public boolean usesVanillaSpawning()

    - #### hasCustomSpawning

          public boolean hasCustomSpawning()

    - #### doCustomSpawning

          public Entity doCustomSpawning(EntitySpawnPacket packet)
                                  throws Exception

      Throws:
        `Exception`

    - #### setCustomSpawning

          public void setCustomSpawning(com.google.common.base.Function<EntitySpawnPacket,Entity> callable,
                               boolean usesVanillaSpawning)